<?php

/**
 * @file
 * A demo page entity.
 */

use Drupal\node\Entity\Node;
use Drupal\paragraphs\Entity\Paragraph;

$node = Node::create([
  'type' => 'basic_page',
  'title' => 'Another page',
  'status' => 1,
  'uid' => 1,
  'field_show_title' => FALSE,
  'field_metatags' => serialize([
    'description' => 'Another page.',
  ]),
]);
$node->save();

$layout_onecol = Paragraph::create([
  'type' => 'layout',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'layout' => 'one_column',
      'config' => [
        'label' => '',
      ],
      'parent_uuid' => NULL,
      'region' => NULL,
    ],
  ]),
]);
$layout_onecol->save();

$title = Paragraph::create([
  'type' => 'title',
  'field_title' => 'Another page',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'parent_uuid' => $layout_onecol->uuid(),
      'region' => 'first',
    ],
  ]),
]);
$title->addTranslation('nl', [
  'field_title' => 'Een andere pagina',
]);
$title->save();

$node->set('field_layout', [
  $layout_onecol,
  $title,
]);
$node->save();

$node->addTranslation('nl', [
  'title' => 'Een andere pagina',
  'status' => 1,
  'uid' => 1,
  'field_metatags' => serialize([
    'description' => 'Een andere pagina.',
  ]),
])->save();
